net.fortuna.ical4j.util

## Class Constants

- java.lang.Object
- - net.fortuna.ical4j.util.Constants

    public final class Constants
    extends Object

$Id$ Created on 5/07/2005 Provides some convenience methods for working with constant parameters and properties.

Author:
  Ben Fortuna

### Method Summary

Methods
`static Property` `forProperty(Property property)` Returns a constant equivalent to the specified property if one is applicable.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### forProperty

    public static Property forProperty(Property property)

Returns a constant equivalent to the specified property if one is applicable. Otherwise will return the specified property.

Parameters:
  `property` - a property instance
Returns:
  an equivalent constant property, or the specified property if no equivalent constant exists